streams

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates a new stream and launches the requested application.

It is highly recommended to send either client_ip or region when making a stream request in order to ensure an optimal experience for all users.

Command Line

You can pass command line arguments to your application at run-time using the command_line parameter in your API request. This will override any default arguments you have set, so be sure to include all required arguments.

Be aware when setting a command line argument that we do not perform escaping of any kind. We highly recommend that you use double-quotes (") to wrap all parameters that may contain a space, especially file paths and user attributes.

In addition to standard strings, we also support special tokens that are replaced before being passed into your application. This allows you to pass in paths to files or session variables that are unknown when the request is made.

We currently support the following tokens:

TokenDescription
@xio:file_provider:PROVIDER_ID@The path to the root of the requested provider without a trailing slash. Provider ID is retrieved from the id attribute of your file provider config.
Body Params
string
required

The ID of the application you want to run

string

The ID of the specific version of the application

string

One of: us-ashburn-1, us-sanjose-1, jp-tokyo-1, au-sydney-1, sg-singapore-1, ie-dublin-1. Defaults to closest location to request IP (see client_ip below)

string

HTTPS URL to file providers for user

string

IP address of the user connecting to the stream, used for automatic region selection

int32

Maximum duration of the session in seconds

string

Command line to pass to app. See details.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json